Browse Source

tell the user to use the right PHP build for FastCGI

git-svn-id: svn://svn.lighttpd.net/lighttpd/branches/lighttpd-merge-1.4.x@565 152afb58-edef-0310-8abb-c4023f1b3aa9
svn/tags/lighttpd-1.4.2
Jan Kneschke 17 years ago
parent
commit
1b4b0b313a
  1. 7
      src/mod_fastcgi.c

7
src/mod_fastcgi.c

@ -861,8 +861,13 @@ static int fcgi_spawn_connection(server *srv,
/* the child should not terminate at all */
if (WIFEXITED(status)) {
log_error_write(srv, __FILE__, __LINE__, "sd",
"child exited (is this a FastCGI binary ?):",
"child exited:",
WEXITSTATUS(status));
log_error_write(srv, __FILE__, __LINE__, "s",
"if you try do run PHP as FastCGI backend make sure you use the FastCGI enabled version.\n"
"You can find out if it is the right one by executing 'php -v' and it should display '(cgi-fcgi)' "
"in the output, NOT (cgi) NOR (cli)\n"
"For more information check http://www.lighttpd.net/documentation/fastcgi.html#preparing-php-as-a-fastcgi-program");
} else if (WIFSIGNALED(status)) {
log_error_write(srv, __FILE__, __LINE__, "sd",
"child signaled:",

Loading…
Cancel
Save